(function(){
    window.bazingaApp.views.assessmentIntroView = window.bazingaApp.views.abstractModuleView.extend({

        loaded: function() {
			
			var self = this;
			
            /*var totalAttempts = (window.bazingaApp.models.api.getSecondaryScore());

            if (totalAttempts >= 3) {
                $(".button").hide();
                $(".error-message").show();
            }*/

            $(".launchBtn").on('click', function () {
				$(this).hide();
				var nextId = $(this).attr('data-goto-after');
				//console.log(nextId);
                var currentQuizAttempts = window.bazingaApp.models.api.getQuizAttempts();
                var newQuizAttempts = parseInt(currentQuizAttempts) +1;
                window.bazingaApp.models.api.setQuizAttempts(newQuizAttempts);
				document.cookie = "finishSaving=no";
				setInterval(function(){self.checkAttemptsSaved(nextId,currentQuizAttempts)},500);
            });
			
        },
		
		 checkAttemptsSaved: function(nextId,currentQuizAttempts)
            {
				var self = this;
				console.log(nextId);
				var checkAttempts = window.bazingaApp.models.api.getQuizAttempts();
				var checkFinishSaving = window.bazingaApp.models.api.getCookie("finishSaving");
				
                console.log(currentQuizAttempts+"/"+checkAttempts+" "+checkFinishSaving);
				
                if(checkAttempts != currentQuizAttempts && checkFinishSaving == "yes")
                {
					console.log("done saved, go next");
                    
					self.goto(nextId);
					clearInterval(this);
                } 
            },
		
        beforePageLoad: function() {

            function randomIntFromInterval(min, max) {
                return Math.floor(Math.random() * (max - min + 1) + min);
            }

            //randomly pick one pool.
            var currentPool = ((window.bazingaApp.models.api.getCurrentPool()) + "");
            console.log("current pool " + currentPool);
            var newPool;
            var totalPools = $(".launchBtn").length;
            console.log("total pools "+totalPools);
            if (currentPool == 0) {
                console.log("randomise");
                newPool = randomIntFromInterval(1,totalPools);
            }else{
                newPool = parseInt(currentPool)+1;
                console.log("add one");
                if(newPool > totalPools){
                    newPool = 1;
                    console.log("reset to 1");
                }

            }
            console.log("new pool:"+newPool);
            window.bazingaApp.models.api.setCurrentPool(newPool);

        }

    });

    window.pageIntialized= false;
    $(document).ready(function(){


        window.bazingaApp.assessmentIntroView = new  window.bazingaApp.views.assessmentIntroView();
        window.bazingaApp.assessmentIntroView.load();
    });
}());